Summary: An X Window System utility for monitoring system resources
Name: xosview
Version: 1.9.3
Release: 1
Exclusiveos: Linux
Url: http://xosview.sourceforge.net	
Source0: http://www.pogo.org.uk/~mark/xosview/releases/%{name}-%{version}.tar.gz
Source2: %{name}16.png.bz2
Source3: %{name}32.png.bz2
Source4: %{name}48.png.bz2

License: GPL
Group: Monitoring
BuildRequires: libxdmcp-devel
BuildRequires: libxau-devel
BuildRequires: libx11-devel
%ifarch alpha
BuildRequires: egcs
%endif
# XXX alpha barfs on linux/serial.h
ExcludeArch: alpha
Patch0:		install_dirs.patch

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q
%patch0 -p1

sed -e 's:lib/X11/app:share/X11/app:g' \
        -i xosview.1 || die

%build
%make

%install
mkdir -p %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_mandir}/man1/
make PREFIX=%{buildroot}/usr install

chmod u-s %{buildroot}/usr/bin/*



mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xosview
Comment=System resources monitor for X11
Exec=%{_bindir}/xosview
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%files
%defattr(-,root,root,0755)
%{_prefix}/bin/*
%{_prefix}/share/man/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sat Apr 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.9.3-1
+ Revision: 794229
- version update 1.9.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 1.8.3-5mdv2009.0
+ Revision: 262656
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.8.3-4mdv2009.0
+ Revision: 257645
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.8.3-2mdv2008.1
+ Revision: 148445
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sun Aug 26 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.3-2mdv2008.0
+ Revision: 71654
- xdg menu
- fixed section in old menu
- finer grained X11 BuildRequires
- new upstream version 1.8.3, installed without X11R6 prefix now, with all old patches handled upstream
- patches xosview-1.8.0-gcc33, xosview-rpath, xosview-ppc also handled upstream
- patch xosview-kernel-2.6.X handled upstream
- patch xosview-PMUmeter-1.7.3 was empty.. (?)
- patches xosview-non-i386, xosview-io_h, xosview-1.7.1-s390, xosview-1.8.0-proc, xosview-kernel-pre9, merged or otherwise handled upstream

  + Thierry Vignaud <tv@mandriva.org>
    - use %%mkrel

